Index: configure
===================================================================
RCS file: /cvs/cluster/cluster/configure,v
retrieving revision 1.39
diff -u -r1.39 configure
--- configure	6 Dec 2007 10:38:00 -0000	1.39
+++ configure	6 Dec 2007 16:38:45 -0000
@@ -53,6 +53,8 @@
 	volidlibdir => \$volidlibdir,
 	ncursesincdir => \$ncursesincdir,
 	ncurseslibdir => \$ncurseslibdir,
+	slangincdir => \$slangincdir,
+	slanglibdir => \$slanglibdir,
 	readlineincdir => \$readlineincdir,
 	readlinelibdir => \$readlinelibdir,
 	openaisincdir => \$openaisincdir,
@@ -110,6 +112,8 @@
 		    'volidlibdir=s',
 		    'ncursesincdir=s',
 		    'ncurseslibdir=s',
+		    'slangincdir=s',
+		    'slanglibdir=s',
 		    'readlineincdir=s',
 		    'readlinelibdir=s',
 		    'openaisincdir=s',
@@ -182,6 +186,8 @@
   print "--volidlibdir=\tthe base directory for volume_id libraries.  (Default: {libdir})\n";
   print "--ncursesincdir=\tthe base directory for ncurses include files.  (Default: {incdir})\n";
   print "--ncurseslibdir=\tthe base directory for ncurses libraries.  (Default: {libdir})\n";
+  print "--slangincdir=\tthe base directory for S-Lang include files.  (Default: {incdir})\n";
+  print "--slanglibdir=\tthe base directory for S-Lang libraries.  (Default: {libdir})\n";
   print "--readlineincdir=\tthe base directory for readline include files.  (Default: {incdir})\n";
   print "--readlinelibdir=\tthe base directory for readline libraries.  (Default: {libdir})\n";
   print "--openaisincdir=\tthe base directory for openais include files.  (Default: {incdir})\n";
@@ -369,6 +375,12 @@
 if (!$ncurseslibdir) {
   $ncurseslibdir="${libdir}";
 }
+if (!$slangincdir) {
+  $slangincdir="${incdir}";
+}
+if (!$slanglibdir) {
+  $slanglibdir="${libdir}";
+}
 if (!$openaisincdir) {
   $openaisincdir="${incdir}";
 }
@@ -507,6 +519,8 @@
   $_ =~ s/\@READLINELIBDIR\@/$readlinelibdir/;
   $_ =~ s/\@NCURSESINCDIR\@/$ncursesincdir/;
   $_ =~ s/\@NCURSESLIBDIR\@/$ncurseslibdir/;
+  $_ =~ s/\@SLANGINCDIR\@/$slangincdir/;
+  $_ =~ s/\@SLANGLIBDIR\@/$slanglibdir/;
   $_ =~ s/\@OPENAISINCDIR\@/$openaisincdir/;
   $_ =~ s/\@OPENAISLIBDIR\@/$openaislibdir/;
   $_ =~ s/\@AISEXECBIN\@/$aisexecbin/;
Index: make/defines.mk.input
===================================================================
RCS file: /cvs/cluster/cluster/make/defines.mk.input,v
retrieving revision 1.7
diff -u -r1.7 defines.mk.input
--- make/defines.mk.input	12 Nov 2007 08:06:38 -0000	1.7
+++ make/defines.mk.input	6 Dec 2007 16:38:46 -0000
@@ -48,6 +48,8 @@
 readlinelibdir ?= @READLINELIBDIR@
 ncursesincdir ?= @NCURSESINCDIR@
 ncurseslibdir ?= @NCURSESLIBDIR@
+slangincdir ?= @SLANGINCDIR@
+slanglibdir ?= @SLANGLIBDIR@
 nssincdir ?= @NSSINCDIR@
 nsslibdir ?= @NSSLIBDIR@
 nsprincdir ?= @NSPRINCDIR@
Index: rgmanager/src/daemons/Makefile
===================================================================
RCS file: /cvs/cluster/cluster/rgmanager/src/daemons/Makefile,v
retrieving revision 1.25
diff -u -r1.25 Makefile
--- rgmanager/src/daemons/Makefile	30 Nov 2007 21:36:28 -0000	1.25
+++ rgmanager/src/daemons/Makefile	6 Dec 2007 16:38:46 -0000
@@ -55,6 +55,7 @@
 CFLAGS += -D_GNU_SOURCE -DSHAREDIR=\"${sharedir}\"
 CFLAGS += -Werror -Wstrict-prototypes -Wshadow -fPIC
 CFLAGS += -I${ccsincdir} -I${cmanincdir} -I${dlmincdir}
+CFLAGS += -I${slangincdir}
 CFLAGS += `xml2-config --cflags` -I${readlineincdir}
 CFLAGS += -I../../include
 CFLAGS += -I${incdir}
@@ -68,7 +69,8 @@
 CMAN_LDFLAGS += -L${cmanlibdir} -lcman
 DLM_LDFLAGS += -L${dlmlibdir} -ldlm
 XML2_LDFLAGS += `xml2-config --libs`
-EXTRA_LDFLAGS += -lpthread -ldl -lslang
+SLANG_LDFLAGS += -L${slanglibdir} -lslang
+EXTRA_LDFLAGS += -lpthread -ldl
 LOCAL_LDFLAGS += -llalloc
 READLINE_LDFLAGS += -L${readlinelibdir} -lreadline
 
@@ -76,7 +78,8 @@
 
 ${TARGET1}: ${OBJS1}
 	$(CC) -o $@ $^ $(LDFLAGS) $(CCS_LDFLAGS) $(CMAN_LDFLAGS) \
-			$(DLM_LDFLAGS) $(XML2_LDFLAGS) $(EXTRA_LDFLAGS)
+			$(DLM_LDFLAGS) $(XML2_LDFLAGS) \
+			$(SLANG_LDFLAGS) $(EXTRA_LDFLAGS)
 
 ${TARGET2}: ${OBJS2}
 	$(CC) -o $@ $^ $(LDFLAGS)
@@ -97,7 +100,8 @@
 #
 ${TARGET3}: ${SHAREDOBJS} ${OBJS3}
 	$(CC) -o $@ $^ $(LDFLAGS) $(CCS_LDFLAGS) $(CMAN_LDFLAGS) \
-			$(LOCAL_LDFLAGS) $(EXTRA_LDFLAGS) $(XML2_LDFLAGS)
+			$(LOCAL_LDFLAGS) $(EXTRA_LDFLAGS) $(XML2_LDFLAGS) \
+			$(SLANG_LDFLAGS)
 
 ${TARGET4}: ${SHAREDOBJS} ${OBJS4}
 	$(CC) -o $@ $^ $(LDFLAGS) $(CCS_LDFLAGS) $(CMAN_LDFLAGS) \
Index: rgmanager/src/daemons/slang_event.c
===================================================================
RCS file: /cvs/cluster/cluster/rgmanager/src/daemons/slang_event.c,v
retrieving revision 1.1
diff -u -r1.1 slang_event.c
--- rgmanager/src/daemons/slang_event.c	30 Nov 2007 21:36:28 -0000	1.1
+++ rgmanager/src/daemons/slang_event.c	6 Dec 2007 16:38:46 -0000
@@ -30,7 +30,7 @@
 
 #include <stdio.h>
 #include <string.h>
-#include <slang/slang.h>
+#include <slang.h>
 #include <sys/syslog.h>
 #include <malloc.h>
 #include <clulog.h>
